Subject: [PATCH 7/9] ARM defconfigs: add missing inclusions of linux/platform_device.h

From: [email-masked] (Greg Kroah-Hartman)
Date: Thu, 14 Feb 2013 15:05:01 -0800

On Thu, Feb 14, 2013 at 11:26:56PM +0100, Arnd Bergmann wrote:
> Patch 16559ae "kgdb: remove #include <linux/serial_8250.h> from kgdb.h"
> removed an implicit inclusion of linux/platform_device.h
> In a number of places. This adds back explicit inclusions in a few
> more places I found.
> 
> Signed-off-by: Arnd Bergmann <[email-masked]>
> Cc: Greg Kroah-Hartman <[email-masked]>
> Cc: Florian Tobias Schandinat <[email-masked]>
> ---
>  arch/arm/plat-samsung/include/plat/adc.h | 1 +
>  drivers/video/clps711xfb.c               | 1 +
>  drivers/video/mmp/fb/mmpfb.c             | 1 +

This file isn't my tty tree, so I can't apply that part of the patch,
but I've applied the rest of the patch, and the 2 others you sent me to
fix this issue.

thanks,

greg k-h